summaryrefslogtreecommitdiff
path: root/scripts/mysqld_safe.sh
diff options
context:
space:
mode:
authorunknown <tsmith@ramayana.hindu.god>2007-07-30 13:35:36 -0600
committerunknown <tsmith@ramayana.hindu.god>2007-07-30 13:35:36 -0600
commitb635b2861f355844dfd5bac4d9400e0fbac9804b (patch)
tree0953611218db88f20872be666ed8def7c6ad038e /scripts/mysqld_safe.sh
parentc1df101f5885964496002fbe944de93ac99569c5 (diff)
downloadmariadb-git-b635b2861f355844dfd5bac4d9400e0fbac9804b.tar.gz
mysqld_safe.sh:
Post-review fix, if 'logger' can't be found, and --syslog is requested, exit with error message instead of fall back to logging to error file. scripts/mysqld_safe.sh: Post-review fix, if 'logger' can't be found, and --syslog is requested, exit with error message instead of fall back to logging to error file.
Diffstat (limited to 'scripts/mysqld_safe.sh')
-rw-r--r--scripts/mysqld_safe.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/mysqld_safe.sh b/scripts/mysqld_safe.sh
index 2a592a6fbf5..e6f7ff7b3cb 100644
--- a/scripts/mysqld_safe.sh
+++ b/scripts/mysqld_safe.sh
@@ -302,8 +302,8 @@ then
my_which logger > /dev/null 2>&1
if [ $? -ne 0 ]
then
- log_error "--syslog requested, but no 'logger' program found."
- want_syslog=0
+ log_error "--syslog requested, but no 'logger' program found. Please ensure that 'logger' is in your PATH, or do not specify the --syslog option to mysqld_safe."
+ exit 1
fi
fi